
Foreman - Feature #2127

Support newer hash schemes for root passwords

01/15/2013 09:48 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee:    

Category: Security   

Target version: 1.7.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1052257 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1736

  

Description

Currently Foreman hashes root passwords with MD5.  This should be more flexible, e.g. SHA-1, SHA-2, perhaps depending on the

operating system.  Note that GRUB2 also uses PBKDF, see #2103.

Related issues:

Related to Foreman - Bug #2069: (encrypted) root passwords are world readable Closed 10/07/2009

Related to Foreman - Feature #2103: GRUB2 password support, PBKDF hashing New 01/04/2013

Related to Foreman - Bug #7655: Host update for grub pass on first report rec... New

Related to Foreman - Bug #7731: Default OS root password hash algorithm shoul... Duplicate 09/29/2014

Has duplicate Foreman - Bug #1171: support sha512 password hashing in RHEL6 /... Duplicate 09/17/2011

Has duplicate Foreman - Feature #5585: Support non-md5 root password Duplicate 05/06/2014

Associated revisions

Revision 2d7f0315 - 09/26/2014 08:29 AM - Dmitri Dolguikh 

fixes #2127: added support for root password hashing other than MD5

Revision 52e5d8d9 - 09/28/2014 05:48 AM - Dominic Cleal

refs #2127 - instantiate exception and pass i18n arg correctly

Revision e5ee7335 - 09/30/2014 06:22 AM - Dominic Cleal

refs #2127 - add password_hash to API

History

#1 - 05/10/2013 02:25 AM - Ohad Levy

- Target version changed from 1.2.0 to 1.3.0

#2 - 09/16/2013 11:50 AM - Lukas Zapletal

- Target version changed from 1.3.0 to 1.4.0

#3 - 10/16/2013 03:37 PM - Greg Sutcliffe

- Target version deleted (1.4.0)

#4 - 01/20/2014 02:42 PM - Dominic Cleal

https://bugzilla.redhat.com/show_bug.cgi?id=1052257

#5 - 05/06/2014 01:26 PM - Dominic Cleal

- Has duplicate Feature #5585: Support non-md5 root password added

#6 - 05/06/2014 01:52 PM - Dominic Cleal
https://projects.theforeman.org/issues/2103
https://bugzilla.redhat.com/show_bug.cgi?id=1052257


- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1052257

#7 - 07/30/2014 09:14 AM - Ohad Levy

- Target version set to 1.7.5

#8 - 08/21/2014 08:35 AM - Anonymous

- Target version changed from 1.7.5 to 1.7.4

#9 - 09/03/2014 11:58 AM - Anonymous

- Status changed from New to Assigned

- Assignee set to Anonymous

#10 - 09/05/2014 04:25 AM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1736 added

- Pull request deleted ()

#11 - 09/10/2014 07:18 AM - Anonymous

- Target version changed from 1.7.4 to 1.7.3

#12 - 09/26/2014 09:02 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 2d7f0315b4653f5eaa4bd7493c4d07375c637a97.

#13 - 09/26/2014 09:21 AM - Dominic Cleal

- Related to Bug #7655: Host update for grub pass on first report received after upgrade added

#14 - 09/29/2014 06:47 AM - Dominic Cleal

- Related to Bug #7731: Default OS root password hash algorithm should be SHA-2 added

#15 - 10/02/2014 04:18 AM - Dominic Cleal

- translation missing: en.field_release set to 21
